glibmm: Glib::IOChannelError Class Reference

glibmm 2.66.6

Public Types | Public Member Functions | List of all members
Glib::IOChannelError Class Reference

Exception class for IOChannel errors. More...

`#include <glibmm/iochannel.h>`

Inheritance diagram for Glib::IOChannelError:
[legend]

## Public Types
enum | Code { FILE_TOO_BIG , INVALID_ARGUMENT , IO_ERROR , IS_DIRECTORY , NO_SPACE_LEFT , NO_SUCH_DEVICE , OVERFLOWN , BROKEN_PIPE , FAILED }
| Error codes returned by IOChannel operations. More...

## Public Member Functions
| IOChannelError (Code error_code, const Glib::ustring & error_message)
| IOChannelError (GError * gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring & message)
| Error (GError * gobject, bool take_copy=false)
| Error (const Error & other)
Error & | operator= (const Error & other)
| ~Error () noexcept override
| operator bool () const
| Test whether the Error has an underlying instance.
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError * | gobj ()
const GError * | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0
virtual Glib::ustring | what () const =0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError * | gobject_

## Detailed Description

Exception class for IOChannel errors.

## Member Enumeration Documentation

## ◆ Code

enum Glib::IOChannelError::Code

Error codes returned by IOChannel operations.

Enumerator
FILE_TOO_BIG | File too large.
INVALID_ARGUMENT | Invalid argument.
IO_ERROR | IO error.
IS_DIRECTORY | File is a directory.
NO_SPACE_LEFT | No space left on device.
NO_SUCH_DEVICE | No such device or address.
OVERFLOWN | Value too large for defined datatype.
BROKEN_PIPE | Broken pipe.
FAILED | Some other error.

## Constructor & Destructor Documentation

## ◆ IOChannelError() [1/2]

Glib::IOChannelError::IOChannelError | ( | Code | error_code,
|  | const Glib::ustring & | error_message
| ) |  |

## ◆ IOChannelError() [2/2]

Glib::IOChannelError::IOChannelError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Glib::IOChannelError::code | ( |  | ) | const